package com.yihu.wlyy.entity.doctor.schedule;

import java.sql.Time;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生排班信息
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_scheduling")
public class DoctorScheduling extends IdEntity {
	private static final long serialVersionUID = -5779461632115871369L;

	private String code;        // 排班标识
	private String doctor;      // 医生标识
	private Integer week;       // 星期几（1~7）
	private Time hourBegin;     // 排班开始时间
	private Time hourEnd;       // 排班结束时间
	private Integer times;      // 可预约次数
	private Integer type;       // 排班类型：1视频预约
	private Date czrq;          // 排班操作时间
	private String del;         // 作废标识，1正常，0作废

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public Integer getWeek() {
		return week;
	}

	public void setWeek(Integer week) {
		this.week = week;
	}

	@Column(name = "hour_begin")
	@JsonFormat(pattern = "HH:mm", timezone = "GMT+08:00")
	public Time getHourBegin() {
		return hourBegin;
	}

	public void setHourBegin(Time hourBegin) {
		this.hourBegin = hourBegin;
	}

	@Column(name = "hour_end")
	@JsonFormat(pattern = "HH:mm", timezone = "GMT+08:00")
	public Time getHourEnd() {
		return hourEnd;
	}

	public void setHourEnd(Time hourEnd) {
		this.hourEnd = hourEnd;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}
}
